/****************************************************************************
** Form implementation generated from reading ui file 'gprswindow.ui'
**
** Created: czw lip 20 15:46:34 2006
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.6   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "gprswindow.h"

#include <qvariant.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qpushbutton.h>
#include <qcombobox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a GPRSWindow as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
GPRSWindow::GPRSWindow( QPixmap i, QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "GPRSWindow" );
    setSizeGripEnabled( TRUE );
	setIcon( i );

    pinLabel = new QLabel( this, "pinLabel" );
    pinLabel->setGeometry( QRect( 30, 10, 100, 25 ) );

    pinEdit = new QLineEdit( this, "pinEdit" );
    pinEdit->setGeometry( QRect( 20, 50, 110, 23 ) );
    pinEdit->setAlignment( int( QLineEdit::AlignHCenter ) );

    QWidget* privateLayoutWidget = new QWidget( this, "Layout1" );
    privateLayoutWidget->setGeometry( QRect( 10, 110, 127, 33 ) );
    Layout1 = new QHBoxLayout( privateLayoutWidget, 0, 6, "Layout1"); 

    buttonOk = new QPushButton( privateLayoutWidget, "buttonOk" );
    buttonOk->setAutoDefault( TRUE );
    buttonOk->setDefault( TRUE );
    Layout1->addWidget( buttonOk );

    buttonCancel = new QPushButton( privateLayoutWidget, "buttonCancel" );
    buttonCancel->setAutoDefault( TRUE );
    Layout1->addWidget( buttonCancel );

    comboBox1 = new QComboBox( FALSE, this, "comboBox1" );
    comboBox1->setGeometry( QRect( 20, 80, 110, 23 ) );
    languageChange();
    resize( QSize(148, 159).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( buttonOk, SIGNAL( clicked() ), this, SLOT( wrapData() ) );
    connect( buttonCancel, SIGNAL( clicked() ), this, SLOT( closeWindow( ) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
GPRSWindow::~GPRSWindow()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void GPRSWindow::languageChange()
{
    setCaption( tr( "GPRS" ) );
    pinLabel->setText( tr( "<b><font size=\"+1\">PIN number:</font></b>" ) );
    buttonOk->setText( tr( "&OK" ) );
    buttonOk->setAccel( QKeySequence( QString::null ) );
    buttonCancel->setText( tr( "&Cancel" ) );
    buttonCancel->setAccel( QKeySequence( QString::null ) );
    comboBox1->clear();
    comboBox1->insertItem( tr( "Era" ) );
    comboBox1->insertItem( tr( "Orange" ) );
    comboBox1->insertItem( tr( "Plus" ) );
}


void GPRSWindow::wrapData( )
{
	emit data( pinEdit->text( ).toInt( ), comboBox1->currentText( ) );
	accept( );
}

void GPRSWindow::showWindow( )
{
	exec( );
}

void GPRSWindow::closeWindow( )
{
	reject( );
	emit closeCancel( );
}	
