#include <kapplication.h>
#include <qtranslator.h>
#include <qtextcodec.h>
#include <qmessagebox.h>
#include <klocale.h>

#include "client.h"

int main( int c, char ** v )
{

	char bufor[256];
	pid_t PID=getpid();
	sprintf(bufor,"/sbin/pidof 'adsl-manager-client' -o %d 1> /dev/null 2> /dev/null < /dev/null",PID);

	int stat=system(bufor);
	if( WEXITSTATUS(stat)==0)
	{
		return 6;
	}

	KLocale::setMainCatalogue( "ksystemtrayapplet" );

	KApplication app( c, v, "ADSL Manager" );
	QTranslator t;

	t.load( QString( "client_" ).append( QString( QTextCodec::locale( ) ) ), "/usr/share/adsl-manager-client/translations/" );	
	
	app.installTranslator( &t );

	Client client( QString( QTextCodec::locale( ) ).left( 2 ) );

	return app.exec( );
}
